
CREATE TABLE M_SEQ (
	TABLE_ID  VARCHAR(50) NOT NULL,
	UP_DATE   DATE NOT NULL,
	ID        NUMERIC(19,0) NOT NULL,
    PRIMARY KEY (TABLE_ID)
);

CREATE TABLE M_LOGININFO (
	LOGIN_ID         VARCHAR(10) NOT NULL,
	LOGIN_TYPE       VARCHAR(1) NOT NULL,
	PWD1             VARCHAR(8) NOT NULL,
	YUKO_FLG         VARCHAR(1) NOT NULL,
	LOGININFO_INSERT TIMESTAMP,
	LOGININFO_UPDATE TIMESTAMP,
    PRIMARY KEY (LOGIN_ID)
);

CREATE TABLE M_USER (
	U_LOGIN_ID       VARCHAR(11) NOT NULL,
	U_NAME           VARCHAR(25) NOT NULL,
	U_MAIL           VARCHAR(50) NOT NULL,
	U_PWD1           VARCHAR(8) NOT NULL,
	U_YUKO_FLG       VARCHAR(1) NOT NULL,
	U_INSERT         TIMESTAMP,
	U_UPDATE         TIMESTAMP,
    PRIMARY KEY (U_LOGIN_ID)
);

CREATE TABLE M_BIZTYPE (
	BIZTYPE          NUMERIC(19,0) NOT NULL,
	BIZNAME          VARCHAR(50) NOT NULL,
	DELDT            TIMESTAMP,
	INSDT            TIMESTAMP NOT NULL,
	UPDT             TIMESTAMP NOT NULL,
    PRIMARY KEY (BIZTYPE)
);

CREATE TABLE T_CORP (
	CORPCD           VARCHAR(11) NOT NULL,
	PASS             VARCHAR(8) NOT NULL,
	CORPNM           VARCHAR(40) NOT NULL,
	CORPKN           VARCHAR(80),
	PSNO             VARCHAR(8),
	TDFKNM           VARCHAR(2),
	ADRS1            VARCHAR(40) NOT NULL,
	ADRS2            VARCHAR(40),
	MAP              VARCHAR(50),
	DEPART           VARCHAR(40),
	POST             VARCHAR(40),
	TANSEI           VARCHAR(40) NOT NULL,
	TANMEI           VARCHAR(40) NOT NULL,
	TANSEIJCO        VARCHAR(80),
	TANMEIJCO        VARCHAR(80),
	TELNO            VARCHAR(15) NOT NULL,
	FAXNO            VARCHAR(15),
	MLADRS           VARCHAR(50),
	BIZTYPE          NUMERIC(19,0) NOT NULL,
	DELDT            TIMESTAMP,
	INSDT            TIMESTAMP NOT NULL,
	UPDT             TIMESTAMP NOT NULL,
    PRIMARY KEY (CORPCD)
);

CREATE TABLE T_ITEM (
	ITEM01           VARCHAR(11) NOT NULL,
	ITEM09           VARCHAR(8),
	ITEM10           DATE,
	ITEM11           DATE,
	ITEM12           VARCHAR(1) NOT NULL,
	ITEM13           VARCHAR(1) NOT NULL,
	ITEM14           VARCHAR(1),
	ITEM15           VARCHAR(1),
	ITEM16           VARCHAR(1) NOT NULL,
	ITEM17_1         VARCHAR(3),
	ITEM17_2         VARCHAR(4),
	ITEM19_1         VARCHAR(10) NOT NULL,
	ITEM19_2         VARCHAR(10),
	ITEM19_3         VARCHAR(10) NOT NULL,
	ITEM22_1         VARCHAR(10) NOT NULL,
	ITEM22_2         VARCHAR(10) NOT NULL,
	ITEM22_3         VARCHAR(10),
	ITEM26           VARCHAR(100),
	ITEM27           VARCHAR(10),
	ITEM28           VARCHAR(10),
	ITEM29           VARCHAR(10),
	ITEM30           VARCHAR(10),
	ITEM31           VARCHAR(10),
	ITEM32           VARCHAR(10),
	ITEM33           VARCHAR(10),
	ITEM34           VARCHAR(10),
	ITEM35           VARCHAR(10),
	ITEM36           VARCHAR(10),
	ITEM37           VARCHAR(10),
	ITEM38           VARCHAR(10),
	ITEM39           VARCHAR(10),
	ITEM40           VARCHAR(10),
	ITEM41           VARCHAR(10),
	ITEM42           VARCHAR(50),
	ITEM43           VARCHAR(10),
	ITEM44           VARCHAR(15),
	ITEM45           VARCHAR(10),
	ITEM46           VARCHAR(10),
	ITEM47           VARCHAR(10),
	ITEM48           VARCHAR(10),
	ITEM49           VARCHAR(10),
	ITEM50           VARCHAR(10),
	ITEM51           VARCHAR(10),
	ITEM52           VARCHAR(10),
	ITEM53           TIMESTAMP,
	ITEM54           TIMESTAMP,
	UPDT             TIMESTAMP NOT NULL,
    PRIMARY KEY (ITEM01)
);

