CREATE TABLE test_kakunin_hist
(
    histseq              NUMERIC(38,0) NOT NULL PRIMARY KEY,
    usr_id               VARCHAR(20),
    ses_id               BIGINT,
    execdate             DATE,
    exectbl              VARCHAR(100),
    histkbn              CHAR(5),
    execdata             VARCHAR(4000)
);
--
CREATE INDEX test_kakunin_hist_X1 ON test_kakunin_hist (usr_id,execdate);
--
CREATE INDEX test_kakunin_hist_X2 ON test_kakunin_hist (execdate);
--
CREATE SEQUENCE test_kakunin_hist_seq
INCREMENT BY 1
START 1
CACHE 1;
--
CREATE TABLE test_sessionid_usrid
(
    ses_id               BIGINT NOT NULL PRIMARY KEY,
    usr_id               VARCHAR(20),
    ins_date             TIMESTAMP
);
--
